## fcitx5-chinese-addons 5.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6.0)
project(fcitx5-chinese-addons VERSION 5.0.11)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMSetupVersion)
include(ECMUninstallTarget)

find_package(Fcitx5Core 5.0.11 REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard TestFrontend TestIM)
find_package(Fcitx5ModuleLuaAddonLoader)
find_package(Pthread REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)
find_package(fmt REQUIRED)

if (TARGET fmt::fmt-header-only)
  set(FMT_TARGET fmt::fmt-header-only)
else()
  set(FMT_TARGET fmt::fmt)
endif ()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

#######################################################################
# Options
#######################################################################
option(ENABLE_TEST "Build Test" On)
option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
set(GCOV_TOOL "gcov" CACHE STRING "Path to gcov tool used by coverage.")
option(ENABLE_OPENCC "Enable OpenCC for chttrans" On)
option(ENABLE_GUI "Enable Configure Gui" On)
option(ENABLE_BROWSER "Enable built-in browser." On)
option(USE_WEBKIT "Use WebKit as browser backend." On)
option(ENABLE_CLOUDPINYIN "Build cloud pinyin addon" On)

if (ENABLE_OPENCC)
    find_package(OpenCC REQUIRED)
endif()

if (ENABLE_GUI)
    find_package(Qt5 REQUIRED COMPONENTS DBus Concurrent)
    find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
    find_package(Fcitx5Qt5DBusAddons REQUIRED)
    if (ENABLE_BROWSER)
        if (USE_WEBKIT)
            find_package(Qt5WebKitWidgets REQUIRED)
        else()
            find_package(Qt5WebEngineWidgets REQUIRED)
        endif()
    endif()
endif()

find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
find_package(LibIMEPinyin 1.0.11 REQUIRED)
find_package(LibIMETable 1.0.3 REQUIRED)

if (ENABLE_CLOUDPINYIN)
    pkg_check_modules(Curl REQUIRED IMPORTED_TARGET "libcurl")
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-chinese-addons\")
add_definitions(-DQT_NO_KEYWORDS)
fcitx5_add_i18n_definition()

add_subdirectory(modules)
add_subdirectory(im)
add_subdirectory(po)
add_subdirectory(tools)

if (ENABLE_GUI)
    add_subdirectory(gui)
endif()

add_subdirectory(icon)

if (ENABLE_TEST)
    enable_testing()
    add_subdirectory(test)

    if (ENABLE_COVERAGE)
        add_custom_target(coverage
                        COMMAND "${CMAKE_CTEST_COMMAND}"
                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    endif()
endif ()

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== test/CMakeLists.txt ===
configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(testpunctuation testpunctuation.cpp)
target_link_libraries(testpunctuation Fcitx5::Core Fcitx5::Module::Punctuation)
add_dependencies(testpunctuation punctuation punctuation.conf.in-fmt)
add_test(NAME testpunctuation COMMAND testpunctuation)

if (ENABLE_CLOUDPINYIN)
add_executable(testcloudpinyin testcloudpinyin.cpp)
target_link_libraries(testcloudpinyin Fcitx5::Core Fcitx5::Module::CloudPinyin)
add_dependencies(testcloudpinyin cloudpinyin)
endif()

add_executable(testpinyinhelper testpinyinhelper.cpp)
target_link_libraries(testpinyinhelper Fcitx5::Core Fcitx5::Module::PinyinHelper)
add_dependencies(testpinyinhelper pinyinhelper pinyinhelper.conf.in-fmt)
add_test(NAME testpinyinhelper COMMAND testpinyinhelper)

add_executable(testfullwidth testfullwidth.cpp)
target_link_libraries(testfullwidth Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
add_dependencies(testfullwidth fullwidth fullwidth.conf.in-fmt)
add_test(NAME testfullwidth COMMAND testfullwidth)

add_subdirectory(inputmethod)
add_executable(testchttrans testchttrans.cpp)
target_link_libraries(testchttrans Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
add_dependencies(testchttrans chttrans chttrans.conf.in-fmt copy-addon copy-testim)
add_test(NAME testchttrans COMMAND testchttrans)

add_subdirectory(addon)
add_executable(testpinyin testpinyin.cpp)
target_link_libraries(testpinyin Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testpinyin pinyin pinyinhelper copy-addon copy-im)
add_test(NAME testpinyin COMMAND testpinyin)
add_executable(testtable testtable.cpp)
target_link_libraries(testtable Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testtable table copy-addon copy-im)
add_test(NAME testtable COMMAND testtable)

=== gui/pinyindictmanager/CMakeLists.txt ===
set(DICTMANAGER_SOURCES
  main.cpp
  pinyindictmanager.cpp
  processrunner.cpp
  pipeline.cpp
  pipelinejob.cpp
  log.cpp
  renamefile.cpp
  filelistmodel.cpp
  )

if (ENABLE_BROWSER)
    list(APPEND DICTMANAGER_SOURCES browserdialog.cpp filedownloader.cpp)

    if (TARGET Qt5::WebKit)
        set(BROWSER_TARGET Qt5::WebKitWidgets)
    else()
        set(BROWSER_TARGET Qt5::WebEngineWidgets)
    endif()
endif()

add_library(pinyindictmanager MODULE ${DICTMANAGER_SOURCES})
target_link_libraries(pinyindictmanager Fcitx5Qt5::WidgetsAddons Fcitx5Qt5::DBusAddons Qt5::DBus ${BROWSER_TARGET} Qt5::Concurrent)
set_target_properties(pinyindictmanager PROPERTIES AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

install(TARGETS pinyindictmanager DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)

=== im/pinyin/CMakeLists.txt ===
set(PINYIN_SOURCES
    pinyin.cpp
)
add_library(pinyin MODULE ${PINYIN_SOURCES})
target_link_libraries(pinyin Fcitx5::Core Fcitx5::Config LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::Notifications Fcitx5::Module::Spell Fcitx5::Module::PinyinHelper ${FMT_TARGET})

if (TARGET Fcitx5::Module::LuaAddonLoader)
    target_compile_definitions(pinyin PRIVATE -DFCITX_HAS_LUA)
    target_link_libraries(pinyin Fcitx5::Module::LuaAddonLoader)
    install(FILES pinyin.lua DESTINATION "${FCITX_INSTALL_PKGDATADIR}/lua/imeapi/extensions")
endif()

install(TARGETS pinyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(pinyin.conf.in pinyin.conf)
fcitx5_translate_desktop_file(shuangpin.conf.in shuangpin.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf" "${CMAKE_CURRENT_BINARY_DIR}/shuangpin.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
configure_file(pinyin-addon.conf.in.in pinyin-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf.in" pinyin-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf" RENAME pinyin.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict"
  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/emoji.txt" LibIME::pinyindict
  COMMAND LibIME::pinyindict "${CMAKE_CURRENT_SOURCE_DIR}/emoji.txt" "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict")
add_custom_target(emoji-dict ALL DEPENDS "emoji.dict")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyin")

add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict"
  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/chaizi.txt" LibIME::pinyindict
  COMMAND LibIME::pinyindict "${CMAKE_CURRENT_SOURCE_DIR}/chaizi.txt" "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict")
add_custom_target(chaizi-dict ALL DEPENDS "chaizi.dict")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyin")

=== im/table/CMakeLists.txt ===
set(TABLE_SOURCES
    engine.cpp
    state.cpp
    ime.cpp
    context.cpp
)
add_library(table MODULE ${TABLE_SOURCES})
target_link_libraries(table Fcitx5::Core Fcitx5::Config LibIME::Table Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::PinyinHelper LibIME::Pinyin ${FMT_TARGET})
target_compile_definitions(table PRIVATE FCITX_STRINGUTILS_ENABLE_BOOST_STRING_VIEW)
install(TARGETS table DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(table.conf.in.in table.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/table.conf.in" table.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/table.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/addon")

file(GLOB TABLE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.conf.in.in)
list(REMOVE_ITEM TABLE_FILES table.conf.in.in)
foreach(TABLE_ORIG ${TABLE_FILES})
  get_filename_component(TABLE_NAME "${TABLE_ORIG}" NAME_WE)
  configure_file(${TABLE_NAME}.conf.in.in "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf.in" @ONLY)
  fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf.in" ${TABLE_NAME}.conf)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
endforeach()

=== modules/chttrans/CMakeLists.txt ===
set(CHTTRANS_SOURCES
    chttrans.cpp chttrans-native.cpp
)
if (ENABLE_OPENCC)
    set(CHTTRANS_SOURCES ${CHTTRANS_SOURCES} chttrans-opencc.cpp)
endif()
add_library(chttrans MODULE ${CHTTRANS_SOURCES})
target_link_libraries(chttrans Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications Boost::iostreams)
if (ENABLE_OPENCC)
    target_link_libraries(chttrans OpenCC::OpenCC)
endif()
install(TARGETS chttrans DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(chttrans.conf.in.in chttrans.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf.in" chttrans.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
install(FILES gbks2t.tab DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/chttrans")

=== modules/cloudpinyin/CMakeLists.txt ===
set(CLOUDPINYIN_SOURCES
    cloudpinyin.cpp
    fetch.cpp
)

if (ENABLE_CLOUDPINYIN)
add_library(cloudpinyin MODULE ${CLOUDPINYIN_SOURCES})
target_link_libraries(cloudpinyin Fcitx5::Core Fcitx5::Config PkgConfig::Curl Pthread::Pthread)
install(TARGETS cloudpinyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(cloudpinyin.conf.in.in cloudpinyin.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/cloudpinyin.conf.in" cloudpinyin.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/cloudpinyin.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
install(FILES ${CLOUDPINYIN_DATA_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/cloudpinyin")

fcitx5_export_module(CloudPinyin TARGET cloudpinyin BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS cloudpinyin_public.h INSTALL)
endif()

=== modules/fullwidth/CMakeLists.txt ===
set(FULLWIDTH_SOURCES
    fullwidth.cpp
)
add_library(fullwidth MODULE ${FULLWIDTH_SOURCES})
target_link_libraries(fullwidth Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications)
install(TARGETS fullwidth DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(fullwidth.conf.in.in fullwidth.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/fullwidth.conf.in" fullwidth.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/fullwidth.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== modules/punctuation/CMakeLists.txt ===
set(PUNCTUATION_SOURCES
    punctuation.cpp
)

set(PUNCTUATION_DATA_FILES
  punc.mb.zh_CN
  punc.mb.zh_HK
  punc.mb.zh_TW
)

add_library(punctuation MODULE ${PUNCTUATION_SOURCES})
target_link_libraries(punctuation Fcitx5::Core Fcitx5::Config Boost::iostreams Fcitx5::Module::Notifications)
install(TARGETS punctuation DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(punctuation.conf.in.in punctuation.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/punctuation.conf.in" punctuation.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/punctuation.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
install(FILES ${PUNCTUATION_DATA_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/punctuation")

fcitx5_export_module(Punctuation TARGET punctuation BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS punctuation_public.h INSTALL)

=== test/inputmethod/CMakeLists.txt ===
add_custom_target(copy-im DEPENDS pinyin.conf.in-fmt erbi.conf.in-fmt)
add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/pinyin/pinyin.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf)
add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/table/erbi.conf ${CMAKE_CURRENT_BINARY_DIR}/erbi.conf)

add_custom_target(copy-testim DEPENDS pinyin.conf.in-fmt)
add_custom_command(TARGET copy-testim COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_SOURCE_DIR}/test/inputmethod/sim.conf ${PROJECT_BINARY_DIR}/test/inputmethod/sim.conf)
add_custom_command(TARGET copy-testim COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_SOURCE_DIR}/test/inputmethod/trad.conf ${PROJECT_BINARY_DIR}/test/inputmethod/trad.conf)

=== debian/changelog ===
fcitx5-chinese-addons (5.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 03 Feb 2022 16:16:53 -0500

fcitx5-chinese-addons (5.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jan 2022 00:43:50 -0500

fcitx5-chinese-addons (5.0.9-2) unstable; urgency=high

  * debian/control: Add missing dependency relationship:
    + fcitx5-table:
      - fcitx5-module-pinyinhelper (Dep)
      - fcitx5-module-punctuation (Dep)
      - fcitx5-module-fullwidth (Rec)
      - fcitx5-module-quickphrase (Rec)
    + fcitx5-pinyin:
      - fcitx5-modules (Rec)

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Dec 2021 19:33:50 -0500

fcitx5-chinese-addons (5.0.9-1) unstable; urgency=medium

  * New upstream release 5.0.9.
  * debian/control: Require latest fcitx5 releases:
    + libime: 1.0.10
    + fcitx5: 5.0.11
  * debian/*.install: Rename .so name installation following
    upstream changes.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Dec 2021 14:40:03 -0500

fcitx5-chinese-addons (5.0.8-2) unstable; urgency=medium

  * Add conflict relationship after icon-related changes.
    Let the following packages conflict with fcitx-data:
    + fcitx5-chinese-addons-data
    + fcitx5-module-chttrans
    + fcitx5-module-fullwidth
    + fcitx5-module-punctuation
    + fcitx5-pinyin
    + fcitx5-table
  * debian/control: Drop useless ${shlibs:Depends} variable substitution
    from several dev packages:
    + fcitx5-module-punctuation-dev
    + fcitx5-module-pinyinhelper-dev
    + fcitx5-module-cloudpinyin-dev

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 14:18:16 -0500

fcitx5-chinese-addons (5.0.8-1) unstable; urgency=medium

  * New upstream release 5.0.8.
  * Drop icon-related patches:
    - debian/not-installed: Dropped.
    - debian/*.install: Also install non-Flatpak icons.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 13:55:05 -0500

fcitx5-chinese-addons (5.0.7-2) unstable; urgency=medium

  * Rebuild against opencc 1.1.3.

  [ Shengjing Zhu ]
  * Build with qtwebengine on mips64el (Closes: #995413)

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Oct 2021 22:08:26 -0400

fcitx5-chinese-addons (5.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix typo in package description

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 02:40:29 +0800

fcitx5-chinese-addons (5.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 12:31:51 +0800

=== debian/control ===
Source: fcitx5-chinese-addons
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.6.0),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev (>= 5.0.11),
 gettext,
 libboost-iostreams-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libfcitx5-qt-dev,
 libfcitx5config-dev (>= 5.0.11),
 libfcitx5core-dev (>= 5.0.11),
 libfcitx5utils-dev (>= 5.0.11),
 libfmt-dev,
 libime-bin (>= 1.0.11),
 libimecore-dev (>= 1.0.11),
 libimepinyin-dev (>= 1.0.11),
 libimetable-dev (>= 1.0.11),
 libopencc-dev (>= 1.1~),
 pkg-config,
 qtbase5-dev,
 qtwebengine5-dev [amd64 arm64 armhf i386 mipsel mips64el],
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-chinese-addons
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons

Package: fcitx5-chinese-addons
Section: metapackages
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-chinese-addons-bin,
 fcitx5-pinyin,
 fcitx5-table,
 ${misc:Depends},
Recommends:
 fcitx5,
Enhances:
 fcitx5,
Description: Chinese-related addon for fcitx5 (metapackage)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package is a metapackage, which depends on all addons provided by
 fcitx5-chinese-addons project. Users should consider installing it for
 best experience of Chinese integration with fcitx5.

Package: fcitx5-chinese-addons-bin
Architecture: any
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chinese-related addon for fcitx5 (binary tools)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package provides binary tools provided by fcitx5-chinese-addons.

Package: fcitx5-chinese-addons-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Conflicts:
 fcitx-data,
Description: Chinese-related addon for fcitx5 (shared data files)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package provides architecture-independent shared data files used by
 fcitx5-chinese-addons.

Package: fcitx5-module-chttrans
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (chttrans module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the chttrans module.

Package: fcitx5-module-cloudpinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (cloudpinyin module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the cloudpinyin module. It is used to enhance
 the input experience of Chinese pinyin users.

Package: fcitx5-module-cloudpinyin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-cloudpinyin (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 cloudpinyin module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the cloudpinyin module
 of fcitx5.

Package: fcitx5-module-fullwidth
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (fullwidth module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the fullwidth module. It enhances the input
 experience of full-width characters.

Package: fcitx5-module-pinyinhelper
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 fcitx5-pinyin (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (pinyinhelper module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the pinyinhelper module. It is used to enhance
 the input experience of Chinese pinyin users.

Package: fcitx5-module-pinyinhelper-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 pinyinhelper module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the pinyinhelper module
 of fcitx5.

Package: fcitx5-module-punctuation
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (punctuation module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the punctuation module. It provides the
 capability to easily input punctuations.

Package: fcitx5-module-punctuation-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 punctuation module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the punctuation module
 of fcitx5.

Package: fcitx5-pinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5-module-chttrans (= ${binary:Version}),
 fcitx5-module-cloudpinyin (= ${binary:Version}),
 fcitx5-module-fullwidth (= ${binary:Version}),
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 fcitx5-module-quickphrase,
 fcitx5-modules,
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (builtin pinyin support)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the builtin pinyin input method. It provides
 the default pinyin input method for Chinese users.

Package: fcitx5-table
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5-module-fullwidth (= ${binary:Version}),
 fcitx5-module-quickphrase,
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (builtin table support)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the table engine for fcitx5. With this
 engine, Fcitx5 is able to support a large number of table-based input
 methods such as Wubi, ZhengMa, etc.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mipsel mips64el))
	dh_auto_configure -- -DENABLE_BROWSER=OFF
else
	dh_auto_configure -- -DUSE_WEBKIT=OFF
endif

execute_before_dh_auto_test:
	ln -sf $(CURDIR)/pystroke/py_stroke.mb  obj-$(DEB_HOST_GNU_TYPE)/modules/pinyinhelper/
	ln -sf $(CURDIR)/pytable/py_table.mb obj-$(DEB_HOST_GNU_TYPE)/modules/pinyinhelper/

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-chinese-addons \
  refs/tags/@ANY_VERSION@ debian
opts="component=pystroke" \
 https://download.fcitx-im.org/data/ \
 py_stroke-(\d+).tar.gz ignore
opts="component=pytable" \
 https://download.fcitx-im.org/data/ \
 py_table-(\d+).tar.gz ignore

## fcitx5-chinese-addons 5.0.11.1

=== modules/pinyinhelper/CMakeLists.txt ===
set(PINYINHELPER_SOURCES
    pinyinhelper.cpp
    pinyinlookup.cpp
    stroke.cpp
)
add_library(pinyinhelper MODULE ${PINYINHELPER_SOURCES})
target_link_libraries(pinyinhelper Fcitx5::Core Fcitx5::Config LibIME::Core Boost::iostreams Fcitx5::Module::QuickPhrase Fcitx5::Module::Clipboard ${FMT_TARGET})
install(TARGETS pinyinhelper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(pinyinhelper.conf.in.in pinyinhelper.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf.in" pinyinhelper.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

fcitx5_export_module(PinyinHelper TARGET pinyinhelper BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS pinyinhelper_public.h INSTALL)

set(PY_STROKE_VER 20121124)
set(PY_STROKE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_stroke.mb")
set(PY_STROKE_TAR "py_stroke-${PY_STROKE_VER}.tar.gz")
set(PY_STROKE_URL
  "http://download.fcitx-im.org/data/py_stroke-${PY_STROKE_VER}.tar.gz")
fcitx5_download(py-stroke-download "${PY_STROKE_URL}" "${PY_STROKE_TAR}"
  8eb128a9bfa43952e67cf2fcee1fd134c6f4cfd317bc2f6c38a615f5eb64e248)
fcitx5_extract(py-stroke-extract "${PY_STROKE_TAR}" DEPENDS py-stroke-download
  OUTPUT ${PY_STROKE_TGT})
install(FILES "${PY_STROKE_TGT}" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyinhelper")

set(PY_TABLE_VER 20121124)
set(PY_TABLE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_table.mb")
set(PY_TABLE_TAR "py_table-${PY_TABLE_VER}.tar.gz")
set(PY_TABLE_URL
  "http://download.fcitx-im.org/data/py_table-${PY_TABLE_VER}.tar.gz")
fcitx5_download(py-table-download "${PY_TABLE_URL}" "${PY_TABLE_TAR}"
  42146ac97de6c13d55f9e99ed873915f4c66739e9c11532a34556badf9792c04)
fcitx5_extract(py-table-extract "${PY_TABLE_TAR}" DEPENDS py-table-download
  OUTPUT ${PY_TABLE_TGT})
install(FILES "${PY_TABLE_TGT}" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyinhelper")

=== debian/changelog ===
fcitx5-chinese-addons (5.0.11.1-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Tue, 08 Feb 2022 13:29:41 +0800

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  libimecore-dev (>= 1.0.11),
  libimepinyin-dev (>= 1.0.11),
  libimetable-dev (>= 1.0.11),
- libopencc-dev (>= 1.1~),
+ libopencc-dev (>= 1.0~),
  pkg-config,
  qtbase5-dev,
  qtwebengine5-dev [amd64 arm64 armhf i386 mipsel mips64el],

## fcitx5-chinese-addons 5.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 5.0.11)
+project(fcitx5-chinese-addons VERSION 5.0.14)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -55,7 +55,7 @@
 
 find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
 find_package(LibIMEPinyin 1.0.11 REQUIRED)
-find_package(LibIMETable 1.0.3 REQUIRED)
+find_package(LibIMETable 1.0.12 REQUIRED)
 
 if (ENABLE_CLOUDPINYIN)
     pkg_check_modules(Curl REQUIRED IMPORTED_TARGET "libcurl")

=== debian/changelog ===
fcitx5-chinese-addons (5.0.14-2) unstable; urgency=medium

  * debian/control: Add missing optional build-dep
    fcitx5-module-lua-dev. (Closes: #1017789)
    + The new pinyin.lua file is installed in fcitx5-chinese-addons-data
      package.
    + Let fcitx5-chinese-addons recommends fcitx5-module-lua.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Aug 2022 11:26:31 -0400

fcitx5-chinese-addons (5.0.14-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Jul 2022 19:21:54 -0400

fcitx5-chinese-addons (5.0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 May 2022 11:38:11 -0400

fcitx5-chinese-addons (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 08:52:19 -0400

## fcitx5-chinese-addons 5.0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 5.0.14)
+project(fcitx5-chinese-addons VERSION 5.0.15)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -54,7 +54,7 @@
 endif()
 
 find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
-find_package(LibIMEPinyin 1.0.11 REQUIRED)
+find_package(LibIMEPinyin 1.0.14 REQUIRED)
 find_package(LibIMETable 1.0.12 REQUIRED)
 
 if (ENABLE_CLOUDPINYIN)

=== debian/changelog ===
fcitx5-chinese-addons (5.0.15-2) unstable; urgency=medium

  * Rebuild to include changes from 5.0.14-2.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Sep 2022 15:35:36 -0400

fcitx5-chinese-addons (5.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Switch to upstream dict tarball.
  * debian/upstream/signing-key.asc: Add upstream signing key.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Sep 2022 15:27:10 -0400

## fcitx5-chinese-addons 5.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 5.0.15)
+project(fcitx5-chinese-addons VERSION 5.0.16)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== im/pinyin/CMakeLists.txt ===
--- 
+++ 
@@ -7,16 +7,19 @@
 if (TARGET Fcitx5::Module::LuaAddonLoader)
     target_compile_definitions(pinyin PRIVATE -DFCITX_HAS_LUA)
     target_link_libraries(pinyin Fcitx5::Module::LuaAddonLoader)
-    install(FILES pinyin.lua DESTINATION "${FCITX_INSTALL_PKGDATADIR}/lua/imeapi/extensions")
+    install(FILES pinyin.lua DESTINATION "${FCITX_INSTALL_PKGDATADIR}/lua/imeapi/extensions"
+            COMPONENT config)
 endif()
 
 install(TARGETS pinyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 fcitx5_translate_desktop_file(pinyin.conf.in pinyin.conf)
 fcitx5_translate_desktop_file(shuangpin.conf.in shuangpin.conf)
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf" "${CMAKE_CURRENT_BINARY_DIR}/shuangpin.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf" "${CMAKE_CURRENT_BINARY_DIR}/shuangpin.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod"
+        COMPONENT config)
 configure_file(pinyin-addon.conf.in.in pinyin-addon.conf.in)
 fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf.in" pinyin-addon.conf)
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf" RENAME pinyin.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf" RENAME pinyin.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
+        COMPONENT config)
 
 add_custom_command(
   OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict"

=== im/table/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,8 @@
 install(TARGETS table DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 configure_file(table.conf.in.in table.conf.in)
 fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/table.conf.in" table.conf)
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/table.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/addon")
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/table.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/addon"
+        COMPONENT config)
 
 file(GLOB TABLE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.conf.in.in)
 list(REMOVE_ITEM TABLE_FILES table.conf.in.in)
@@ -18,5 +19,6 @@
   get_filename_component(TABLE_NAME "${TABLE_ORIG}" NAME_WE)
   configure_file(${TABLE_NAME}.conf.in.in "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf.in" @ONLY)
   fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf.in" ${TABLE_NAME}.conf)
-  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
+  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod"
+          COMPONENT config)
 endforeach()

=== modules/pinyinhelper/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,8 @@
 install(TARGETS pinyinhelper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 configure_file(pinyinhelper.conf.in.in pinyinhelper.conf.in)
 fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf.in" pinyinhelper.conf)
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon"
+        COMPONENT config)
 
 fcitx5_export_module(PinyinHelper TARGET pinyinhelper BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS pinyinhelper_public.h INSTALL)

=== debian/changelog ===
fcitx5-chinese-addons (5.0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 13:32:52 -0500

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  cmake (>= 3.6.0),
  debhelper-compat (= 13),
  extra-cmake-modules,
+ fcitx5-module-lua-dev,
  fcitx5-modules-dev (>= 5.0.11),
  gettext,
  libboost-iostreams-dev,
@@ -18,15 +19,15 @@
  libfcitx5core-dev (>= 5.0.11),
  libfcitx5utils-dev (>= 5.0.11),
  libfmt-dev,
- libime-bin (>= 1.0.11),
- libimecore-dev (>= 1.0.11),
+ libime-bin (>= 1.0.13),
+ libimecore-dev (>= 1.0.13),
  libimepinyin-dev (>= 1.0.11),
  libimetable-dev (>= 1.0.11),
- libopencc-dev (>= 1.0~),
+ libopencc-dev (>= 1.1~),
  pkg-config,
  qtbase5-dev,
  qtwebengine5-dev [amd64 arm64 armhf i386 mipsel mips64el],
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-chinese-addons
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
@@ -43,6 +44,7 @@
  ${misc:Depends},
 Recommends:
  fcitx5,
+ fcitx5-module-lua,
 Enhances:
  fcitx5,
 Description: Chinese-related addon for fcitx5 (metapackage)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mipsel mips64el))
	dh_auto_configure -- -DENABLE_BROWSER=OFF
else
	dh_auto_configure -- -DUSE_WEBKIT=OFF
endif

## fcitx5-chinese-addons 5.0.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 5.0.16)
+project(fcitx5-chinese-addons VERSION 5.0.17)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-chinese-addons (5.0.17-2) unstable; urgency=medium

  * Do not use qtwebengine5-dev on mipsel, package to be removed.
    (Closes: #1041959)

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Jul 2023 08:49:44 -0400

fcitx5-chinese-addons (5.0.17-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Jun 2023 20:08:36 -0400

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  libopencc-dev (>= 1.1~),
  pkg-config,
  qtbase5-dev,
- qtwebengine5-dev [amd64 arm64 armhf i386 mipsel mips64el],
+ qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-chinese-addons

## fcitx5-chinese-addons 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 5.0.17)
+project(fcitx5-chinese-addons VERSION 5.1.0)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -8,7 +8,7 @@
 include(ECMSetupVersion)
 include(ECMUninstallTarget)
 
-find_package(Fcitx5Core 5.0.11 REQUIRED)
+find_package(Fcitx5Core 5.0.24 REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard TestFrontend TestIM)
 find_package(Fcitx5ModuleLuaAddonLoader)
 find_package(Pthread REQUIRED)
@@ -41,9 +41,8 @@
 endif()
 
 if (ENABLE_GUI)
-    find_package(Qt5 REQUIRED COMPONENTS DBus Concurrent)
+    find_package(Qt5 REQUIRED COMPONENTS Concurrent)
     find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
-    find_package(Fcitx5Qt5DBusAddons REQUIRED)
     if (ENABLE_BROWSER)
         if (USE_WEBKIT)
             find_package(Qt5WebKitWidgets REQUIRED)
@@ -54,7 +53,7 @@
 endif()
 
 find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
-find_package(LibIMEPinyin 1.0.14 REQUIRED)
+find_package(LibIMEPinyin 1.0.18 REQUIRED)
 find_package(LibIMETable 1.0.12 REQUIRED)
 
 if (ENABLE_CLOUDPINYIN)

=== im/pinyin/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 set(PINYIN_SOURCES
     pinyin.cpp
+    customphrase.cpp
 )
+
 add_library(pinyin MODULE ${PINYIN_SOURCES})
 target_link_libraries(pinyin Fcitx5::Core Fcitx5::Config LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::Notifications Fcitx5::Module::Spell Fcitx5::Module::PinyinHelper ${FMT_TARGET})

=== debian/changelog ===
fcitx5-chinese-addons (5.1.0-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Let fcitx5-pinyin-gui Breaks+Replaces fcitx5-pinyin
    with a version to solve file conflict. (Closes: #1050207)

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 08:14:49 -0400

fcitx5-chinese-addons (5.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Refresh license information.
  * debian/control:
    + Bump version requirement for build-dependency.
    + Let fcitx5-table and fcitx5-pinyin depends on fcitx5 following
      upstream recommendation.
    + Split Qt5-related pinyin GUI tools to fcitx5-pinyin-gui.
      (Closes: #1025934)
    + Let fcitx5-pinyin recommends fcitx5-pinyin-gui.
    + Let fcitx5-pinyin-gui depends on fcitx5-pinyin.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Aug 2023 12:54:37 -0400

=== debian/control ===
--- 
+++ 
@@ -10,24 +10,24 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx5-module-lua-dev,
- fcitx5-modules-dev (>= 5.0.11),
+ fcitx5-modules-dev (>= 5.0.24),
  gettext,
  libboost-iostreams-dev,
  libcurl4-openssl-dev | libcurl-dev,
  libfcitx5-qt-dev,
- libfcitx5config-dev (>= 5.0.11),
- libfcitx5core-dev (>= 5.0.11),
- libfcitx5utils-dev (>= 5.0.11),
+ libfcitx5config-dev (>= 5.0.24),
+ libfcitx5core-dev (>= 5.0.24),
+ libfcitx5utils-dev (>= 5.0.24),
  libfmt-dev,
  libime-bin (>= 1.0.13),
- libimecore-dev (>= 1.0.13),
- libimepinyin-dev (>= 1.0.11),
- libimetable-dev (>= 1.0.11),
+ libimecore-dev (>= 1.1),
+ libimepinyin-dev (>= 1.1),
+ libimetable-dev (>= 1.1),
  libopencc-dev (>= 1.1~),
  pkg-config,
  qtbase5-dev,
  qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-chinese-addons
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
@@ -267,6 +267,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ fcitx5,
  fcitx5-chinese-addons-data,
  fcitx5-module-punctuation (= ${binary:Version}),
  ${misc:Depends},
@@ -278,6 +279,7 @@
  fcitx5-module-pinyinhelper (= ${binary:Version}),
  fcitx5-module-quickphrase,
  fcitx5-modules,
+ fcitx5-pinyin-gui,
 Conflicts:
  fcitx-data,
 Description: Fcitx Input Method Framework v5 (builtin pinyin support)
@@ -293,34 +295,42 @@
  and desktop environments.
  .
  This package provides the builtin pinyin input method. It provides
- the default pinyin input method for Chinese users.
+ the default pinyin input method for Chinese users. Its associated
+ GUI tools can be found in the separate fcitx5-pinyin-gui package.
+
+Package: fcitx5-pinyin-gui
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ fcitx5-pinyin (= ${binary:Version}),
+Breaks:
+ fcitx5-pinyin (<< 5.1.0),
+Replaces:
+ fcitx5-pinyin (<< 5.1.0),
+Description: Fcitx Input Method Framework v5 (builtin pinyin GUI tools)
+ Fcitx5 is the next generation of fcitx input method framework. It
+ provides pleasant and modern input experience with intuitive graphical
+ configuration tools. The framework is highly extensible with support
+ for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
+ environments and a developer-friendly API.
+ .
+ Some of its new features include support of both Wayland and Xorg
+ and the ability to mimic IBus Input Method Framework in order to
+ provide better compatibility across different Linux distributions
+ and desktop environments.
+ .
+ This package provides the GUI tools for the builtin pinyin input method.
+ Currently, it includes the following components:
+ .
+   * customphraseeditor
+   * pinyindictmanager
 
 Package: fcitx5-table
 Architecture: any
 Multi-Arch: same
 Depends:
+ fcitx5,
  fcitx5-chinese-addons-data,
  fcitx5-module-pinyinhelper (= ${binary:Version}),
- fcitx5-module-punctuation (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- fcitx5-module-fullwidth (= ${binary:Version}),
- fcitx5-module-quickphrase,
-Conflicts:
- fcitx-data,
-Description: Fcitx Input Method Framework v5 (builtin table support)
- Fcitx5 is the next generation of fcitx input method framework. It
- provides pleasant and modern input experience with intuitive graphical
- configuration tools. The framework is highly extensible with support
- for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
- environments and a developer-friendly API.
- .
- Some of its new features include support of both Wayland and Xorg
- and the ability to mimic IBus Input Method Framework in order to
- provide better compatibility across different Linux distributions
- and desktop environments.
- .
- This package provides the table engine for fcitx5. With this
- engine, Fcitx5 is able to support a large number of table-based input
- methods such as Wubi, ZhengMa, etc.
